MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
SocketError.hxx File Reference
`#include "Compiler.h"`
`#include "system/Error.hxx"`
`#include <errno.h>`
Include dependency graph for SocketError.hxx:

Go to the source code of this file.

## Data Structures
class | SocketErrorMessage
| Helper class that formats a socket error message into a human-readable string. More...

## Typedefs
typedef int | socket_error_t

## Functions
static gcc_pure socket_error_t | GetSocketError ()
static gcc_const bool | IsSocketErrorAgain (socket_error_t code)
static gcc_const bool | IsSocketErrorInterruped (socket_error_t code)
static gcc_const bool | IsSocketErrorClosed (socket_error_t code)
static gcc_const std::system_error | MakeSocketError (socket_error_t code, const char *msg)
static gcc_pure std::system_error | MakeSocketError (const char *msg)

## Typedef Documentation

typedef int socket_error_t

Definition at line 31 of file SocketError.hxx.

## Function Documentation

static gcc_pure socket_error_t GetSocketError | ( |  | ) |
| inline static

Definition at line 36 of file SocketError.hxx.

static gcc_const bool IsSocketErrorAgain | ( | socket_error_t | code | ) |
| inline static

Definition at line 47 of file SocketError.hxx.

static gcc_const bool IsSocketErrorClosed | ( | socket_error_t | code | ) |
| inline static

Definition at line 69 of file SocketError.hxx.

static gcc_const bool IsSocketErrorInterruped | ( | socket_error_t | code | ) |
| inline static

Definition at line 58 of file SocketError.hxx.

static gcc_const std::system_error MakeSocketError | ( | socket_error_t | code,
|  | const char * | msg
| ) |  |
| inline static

Definition at line 104 of file SocketError.hxx.

static gcc_pure std::system_error MakeSocketError | ( | const char * | msg | ) |
| inline static

Definition at line 115 of file SocketError.hxx.